Does Zend Guard 6.0 support php 5.5 ?

General discussion on Zend Guard / Optimizer
gree8411
Posts: 1
Joined: Fri Jun 13, 2014 7:06 am
Contact:

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by gree8411 » Fri Jun 13, 2014 7:17 am

hi folks,,

Zend Guard Run your scripts will encode your scripts to prevent reverse engineering and unauthorized changes to the code, it will also be a safe place your code from unauthorized use, and you can run Zend Guard encoded scripts via Zend Optimizer (with PHP 5.2 and above) to help boost the performance of your PHP-applications as well.

pk_fr_pk
Posts: 21
Joined: Wed Oct 20, 2010 4:07 pm

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by pk_fr_pk » Tue Jun 24, 2014 4:17 pm

happy birthday :o((
already more than 1 year that I posted this topic...
... and still no news from zend !!!!

PHP 5.6.0RC1 is available since june 19 ....
perhaps are you planning to deliver php 5.6 support before php 5.5?

PLEASE!
an ETA would be a big step for us!!!!

diemuzi
Posts: 132
Joined: Mon Oct 04, 2010 3:12 pm
Location: Pensacola, Florida
Contact:

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by diemuzi » Mon Jun 30, 2014 8:47 pm

I'll put my money on the idea that they will release support for PHP 5.5 once 5.6 is out. If history repeats itself as it appears that it always does for Zend they are always at least a year behind which really sucks!
MSF RiderCoach at http://bikertraining.net

User avatar
zvika
Zend Global Support
Posts: 997
Joined: Sun Dec 14, 2008 9:48 am
Contact:

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by zvika » Tue Jul 01, 2014 2:15 pm

Hi All,
I was authorized to deliver a planned ETA related to your concerns here,
which is early Q4 2014 update for PHP 5.5 support in Zend Guard (encoder and runtime).

Of course, this is in plans and can change for better or worse,
but I hope this puts your minds at ease.

Thank you.
Zvika Dror
Zend Support Team

diemuzi
Posts: 132
Joined: Mon Oct 04, 2010 3:12 pm
Location: Pensacola, Florida
Contact:

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by diemuzi » Mon Jul 07, 2014 7:59 pm

Way too late! Regardless, when can we expect the next version for PHP 5.6? Having to wait well over 1+ years is uncalled for and down right embarrassing too.
MSF RiderCoach at http://bikertraining.net

towe75
Posts: 6
Joined: Wed Mar 14, 2012 2:11 pm

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by towe75 » Wed Sep 03, 2014 6:56 pm

Hi Zvika,

will it be possible to run the zend guard loader together with the integrated php 5.5 opcache?

Greetings

User avatar
zvika
Zend Global Support
Posts: 997
Joined: Sun Dec 14, 2008 9:48 am
Contact:

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by zvika » Thu Sep 04, 2014 9:30 am

Hi towe75,

That would be easy question.

If technology stays the same,
Zend Server PHP 5.5+ will include Zend Guard Loader, so it should be tested and released with OPCache natively (unless I'm missing something).

Cutting this to the standalone Guard Loader, which should be released about the same time for similar OS and PHP support as Zend Server builds,
I assume there should be no problem with php.net OPCache (again, unless I'm missing something).

As soon as there is an early build or GA for new loader, we can of course put it to real test.

Thanks for raising this question, I'm sure it is important to others as well.
Zvika Dror
Zend Support Team

boardmain
Posts: 2
Joined: Wed Jul 27, 2011 11:20 am

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by boardmain » Tue Oct 14, 2014 11:51 am

News about 5.5 support?

rewilliams
Posts: 10
Joined: Mon Nov 07, 2011 6:00 pm

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by rewilliams » Tue Oct 14, 2014 5:33 pm

Lack of 5.5 support is a serious problem for us. Not only is it costly, but it's embarrassing having to basically tell customers that we're more concerned about putting locks in place to keep them out than supporting their servers. As with 5.4, here we are again with the next major version of PHP, 5.6, already out, and Guard still doesn't support the previous major version.

I really don't care what Zend's opinions are of what servers are out there, or indeed, what the install-share actually is of various PHP versions. If you're going to tie a commercial product to the PHP version (*why* doesn't matter), you must support each new version within a reasonable time. Lack of support might affect a small number of customers, but it could very well cost those customers millions of dollars.

It also makes Zend look bad from a marketing standpoint. You're "the PHP company", a major force behind the language. Yet, you let Guard languish so badly that it can't be used with the last two major versions of the language. You also did this with Guard and PHP 5.4, and you pulled a similar stunt with PHP 5.4 and Zend Server, which at least only affected us and not our customers. I'm really starting to wonder just how committed Zend is to supporting its customer base with current software versions. I like the people of Zend (including zvika), but I think the company is acting on some very poor business decisions.

We're going to start investigating ionCube. Guard was the natural choice for us given we had to make a decision very quickly and we were already a Zend customer because of Zend Server, but I'm not very happy with this situation. We have automated processes built around Guard that would need to be rebuilt, but we have time to do that before renewal-time. ionCube is also a little slow to support new versions, but at least their delays are reasonable and, I believe, driven by engineering resource limits versus the marketing decisions that are clearly behind Zend's delays. I'll take the former over the latter any day. That said, I'm not committed to switching. If Zend delivers 5.5 support in the next few weeks (we're in "early Q4" now), and if they make a formal, public commitment to a new PHP support schedule that ties in with PHP's own now-predictable release schedule -- and starting with 5.6 support -- I'll reconsider.

oliv2456
Posts: 3
Joined: Mon Oct 27, 2014 10:27 am

Re: Does Zend Guard 6.0 support php 5.5 ?

Post by oliv2456 » Mon Oct 27, 2014 10:29 am

I was authorized to deliver a planned ETA related to your concerns here,
which is early Q4 2014 update for PHP 5.5 support in Zend Guard (encoder and runtime).
Well, end of October 2014 is quite close to "early Q4 2014" - no?

Post Reply